/*
 * $Source: /home/erdmann/Demo/src/RCS/server.c,v $
 *
 * Copyright (C) 2000 Michael Erdmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program/code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, US   
 *
 * $Log: server.c,v $
 * Revision 1.3  2000/11/25 19:25:53  erdmann
 * Release Version 1_1
 *
 * Revision 1.2  2000/11/25 19:23:46  erdmann
 * Release Version 1_0
 *
 * Revision 1.1  2000/11/25 19:10:03  erdmann
 * No comments
 *
 */
#include <stdio.h>
#include "msg.h"

main(int argc, char *argv[]) {
   int     qid;
   Message msg;

   qid = atoi( argv[1] );
    
   while(1) {
      Message msg;
      char *string;
      int  value;

      if( (msg = Wait_For_Message( qid )) == NULL )
         continue;

      printf("Message %d from client received\n", msg->id );
      switch( msg->id ) {
         case 4711:
	    string = Get_String(msg);
	    value  = Get_Integer(msg);
	    printf("Message contents: %s/%d\n", string, value );
	    break;
	 default:
	    printf("*** Unknown message ***\n");
      }
      free(msg);
   }
}
